[SOLVED] drivers/edac/amd64_edac.c compile error with initify_plugin in latest patch

Discuss usability issues, general maintenance, and general support issues for a grsecurity-enabled system.

Moderators: spender, PaX Team

[SOLVED] drivers/edac/amd64_edac.c compile error with initify_plugin in latest patch

Postby mathias » Sat Aug 13, 2016 10:14 pm

Trying to compile the latest grsec patch (3.1-4.7-201608131240) on a Debian stretch machine with gcc 6.1.11 fails when compiling drivers/edac/amd64_edac.c:

Code: Select all
  CC [M]  drivers/edac/amd64_edac.o
*** WARNING *** there are active plugins, do not report this as a bug unless you can reproduce it without enabling any plugins.
Event                            | Plugins
PLUGIN_FINISH_TYPE               | structleak_plugin randomize_layout_plugin constify_plugin
PLUGIN_FINISH_DECL               | randomize_layout_plugin
PLUGIN_FINISH_UNIT               | rap_plugin
PLUGIN_ATTRIBUTES                | structleak_plugin randomize_layout_plugin latent_entropy_plugin size_overflow_plugin initify_plugin constify_plugin
PLUGIN_START_UNIT                | latent_entropy_plugin size_overflow_plugin initify_plugin rap_plugin stackleak_plugin constify_plugin
PLUGIN_ALL_IPA_PASSES_START      | randomize_layout_plugin rap_plugin constify_plugin
drivers/edac/amd64_edac.c: In function ‘amd64_edac_init’:
drivers/edac/amd64_edac.c:2964:19: internal compiler error: in is_nocapture_param, at scripts/gcc-plugins/initify_plugin.c:181
 static int __init amd64_edac_init(void)
                   ^~~~~~~~~~~~~~~
0x2ab83f88cc57 is_nocapture_param
   scripts/gcc-plugins/initify_plugin.c:181
0x2ab83f88d239 search_capture_use
   scripts/gcc-plugins/initify_plugin.c:305
0x2ab83f88d239 has_capture_use_local_var
   scripts/gcc-plugins/initify_plugin.c:350
0x2ab83f88d239 search_local_strs
   scripts/gcc-plugins/initify_plugin.c:372
0x2ab83f88d239 initify_execute
   scripts/gcc-plugins/initify_plugin.c:481
0x2ab83f88d239 execute
   scripts/gcc-plugins/gcc-generate-gimple-pass.h:126
Please submit a full bug report,
with preprocessed source if appropriate.
Please include the complete backtrace with any bug report.
See <file:///usr/share/doc/gcc-6/README.Bugs> for instructions.
scripts/Makefile.build:289: recipe for target 'drivers/edac/amd64_edac.o' failed
make[4]: *** [drivers/edac/amd64_edac.o] Error 1

My kernel config is available at https://calenhad.com/config-grsec-3.1-4.7-201608131240
Last edited by mathias on Wed Aug 17, 2016 12:57 am, edited 1 time in total.
mathias
 
Posts: 14
Joined: Mon May 11, 2015 6:25 pm

Re: drivers/edac/amd64_edac.c compile error with initify_plugin in latest patch

Postby alan.d » Mon Aug 15, 2016 6:11 pm

Confirmed, I hit exactly the same problem.
alan.d
 
Posts: 34
Joined: Mon Jul 07, 2014 8:20 am

Re: drivers/edac/amd64_edac.c compile error with initify_plugin in latest patch

Postby mathias » Wed Aug 17, 2016 12:57 am

With the current patch for Linux 4.7.1, things compile properly, so this is no longer an issue.
mathias
 
Posts: 14
Joined: Mon May 11, 2015 6:25 pm


Return to grsecurity support

cron